> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartmove.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch files of an inspection report

> Fetch the images of an inspection report

<Note>This endpoint returns the names and content types of the files. Use [Get a file download link](/api-reference/files/get-a-file-download-link) to download the actual contents of the files by providing the **UUIDs** and **secret** from the response.</Note>


## OpenAPI

````yaml /api-reference/m2m-api.yml get /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}
openapi: 3.0.3
info:
  title: M2M API
  version: '@version@'
servers:
  - url: https://api.smartmove.eu/m2m
security: []
tags:
  - name: Vehicles
  - name: Maintenance
  - name: Logbook
  - name: Drivers
  - name: Users
  - name: Checklist
  - name: Incidents
  - name: Databox
  - name: Assets
  - name: Asset Provider
  - name: Invoices
paths:
  /api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/blobs/inspection/{inspectionId}:
    get:
      tags:
        - Inspection
      summary: Fetch files of an inspection report
      description: Fetch the images of an inspection report
      operationId: getInspectionBlobs
      parameters:
        - in: path
          name: assetProviderCountryCode
          schema:
            type: string
            minLength: 2
            maxLength: 2
          required: true
          example: AT
          description: >-
            The two-letter country code of the asset provider the vehicles
            belong to
        - in: path
          name: assetProviderCode
          schema:
            type: string
            minLength: 3
            maxLength: 3
          required: true
          example: ABC
          description: >-
            The three-character code of the asset provider the vehicles belong
            to
        - in: path
          name: vehicleId
          schema:
            type: string
          required: true
          example: AT*ABC*V100006
          description: The id of the vehicle
        - name: inspectionId
          in: path
          description: Vehicle inspection id
          required: true
          schema:
            type: integer
            format: int64
          example: 1174
      responses:
        '201':
          description: The blob information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlobsResponse'
        '401':
          description: Required and valid bearer token was not included
        '403':
          description: Access to the requested asset provider has been rejected
        '404':
          description: Vehicle or inspection not found
      security:
        - oauth:
            - openid
components:
  schemas:
    BlobsResponse:
      type: object
      required:
        - blobs
        - secret
        - itemId
      properties:
        blobs:
          type: array
          items:
            $ref: '#/components/schemas/Blob'
        secret:
          type: string
          description: Secret for retrieving links
          minLength: 1
        itemId:
          description: Id of the item which holds the blobs. May be string or integer
    Blob:
      type: object
      required:
        - uuid
        - filename
        - uploaded
      properties:
        uuid:
          type: string
          format: uuid
        filename:
          type: string
        uploaded:
          type: boolean
          description: Indicates if the BLOB has been uploaded to the storage
          default: false
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid
        authorizationCode:
          authorizationUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/auth
          tokenUrl: >-
            https://api.smartmove.eu/auth/realms/countryCode-providerCode/protocol/openid-connect/token
          scopes:
            all: openid

````